Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.security
Interface SecurityDomain

All Superinterfaces:
  AuthenticationManager, RealmMapping, SubjectSecurityManager

public interface SecurityDomain
extends SubjectSecurityManager, RealmMapping

The SecurityDomain interface combines the SubjectSecurityManager and RealmMapping interfaces and adds a keyStore and trustStore as well as JSSE KeyManagerFactory and TrustManagerFactory accessors for use with SSL/JSSE.

Version:
  $Revision: 1.4 $
Author:
  Scott.Stark@jboss.org
See Also:
  `KeyStore`, `KeyManagerFactory`, `TrustManagerFactory`

Method Summary
`KeyManagerFactory` | `getKeyManagerFactory()` Get the KeyManagerFactory associated with the security domain
`KeyStore` | `getKeyStore()` Get the keystore associated with the security domain
`TrustManagerFactory` | `getTrustManagerFactory()` Get the TrustManagerFactory associated with the security domain
`KeyStore` | `getTrustStore()` Get the truststore associated with the security domain.

Methods inherited from interface org.jboss.security.AuthenticationManager
`getActiveSubject, getSecurityDomain, isValid, isValid`

Methods inherited from interface org.jboss.security.RealmMapping
`doesUserHaveRole, getPrincipal, getUserRoles`

Method Detail

### getKeyStore

    public KeyStore getKeyStore()
                         throws SecurityException

  Get the keystore associated with the security domain

  Throws:
    `SecurityException`

### getKeyManagerFactory

    public KeyManagerFactory getKeyManagerFactory()
                                           throws SecurityException

  Get the KeyManagerFactory associated with the security domain

  Throws:
    `SecurityException`

### getTrustStore

    public KeyStore getTrustStore()
                           throws SecurityException

  Get the truststore associated with the security domain. This may be the same as the keystore.

  Throws:
    `SecurityException`

### getTrustManagerFactory

    public TrustManagerFactory getTrustManagerFactory()
                                               throws SecurityException

  Get the TrustManagerFactory associated with the security domain

  Throws:
    `SecurityException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.